Bug 68626 - Slow startup when loading a document, instantaneous when starting without a document
Summary: Slow startup when loading a document, instantaneous when starting without a d...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-27 20:21 UTC by Jean-François Fortin Tam
Modified: 2016-09-20 10:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (821.26 KB, video/webm)
2013-08-27 20:21 UTC, Jean-François Fortin Tam
Details
sample file used in the screencast (17.96 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-08-27 20:21 UTC, Jean-François Fortin Tam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2013-08-27 20:21:26 UTC
Created attachment 84749 [details]
screencast

The attached video demonstrates LibreOffice 4.1.0.4 being sluggish at starting when it has to open a document. In my case, it was regardless of which document was actually being opened, as an empty spreadsheet or text file causes this issue just as well.

I have observed this to be somewhat random; it happened to me more often than not, but not always. It makes me think it might be a race/timer condition of some sort. 

A few hours after recording this video, I couldn't experience the issue anymore, and this coïncided pretty well with the fact that my network connection had stopped lagging - while I was having issues with libreoffice, it just so happens that I had packet loss and slow ping/long latency on my network.

This makes me suspect that this may have something to do with GVFS in GNOME - if you have SSH/SFTP folders mounted in Nautilus and your network is slow to respond, for example.

If there is any code in libreoffice that touches/relies on gio/gvfs, we should ensure it cannot block startup/doesn't slow down loading a local file...

For what it's worth, my machine has a fast solid state drive (Intel SSDSA2BW160G3L) with 8 GB of RAM and a Core i7 CPU on GNOME 3.8 with Fedora Linux 19 64-bit.
Comment 1 Jean-François Fortin Tam 2013-08-27 20:21:49 UTC
Created attachment 84750 [details]
sample file used in the screencast
Comment 2 retired 2013-08-28 00:32:28 UTC
I cannot reproduce this problem on Ubuntu 13.04 and LO 4.1.0.4 with hte example document. In a Virtual machine and an SSD this opens in about 2 seconds.

Don't have enough background. Maybe notourbug since from what you write the cause of the problem could indeed be the network issues affecting your overall system performance.
Comment 3 Jean-Baptiste Faure 2013-11-14 21:24:32 UTC
Hi Jean-François,

Did you try to build LibreOffice yourself? That will make you able to play with various hypothesis about gvfs/gio ?

Best regards. JBF
Comment 4 Jean-François Fortin Tam 2013-11-14 22:42:43 UTC
Unfortunately no, building libreoffice is beyond my skillset and available time. Just pointing out problems and a potential cause, as it reminds me a lot of https://bugzilla.redhat.com/show_bug.cgi?id=712945#c10 where I was able to empirically trigger the issue using a firewall.
Comment 5 Jean-Baptiste Faure 2013-12-14 12:27:31 UTC
Hi Jean-François,
do you have a network printer connected to your computer?
If it the case you could try to launch LibreOffice in a terminal after the following instruction: 
export SAL_DISABLE_SYNCHRONOUS_PRINTER_DETECTION="true"

Best regards. JBF
Comment 6 Jean-François Fortin Tam 2014-01-03 21:44:48 UTC
Nope, I didn't have a network printer (or any printer, actually) set up with that computer...
Comment 7 tommy27 2014-06-07 03:57:37 UTC
@Jean-François Fortin Tam
hi, did you retest after upgrading to current 4.2.4.2 release?
set status to NEEDINFO
Comment 8 QA Administrators 2015-01-10 18:06:57 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 9 QA Administrators 2015-02-11 19:56:13 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-02-11
Comment 10 QA Administrators 2015-02-11 20:02:39 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11
Comment 11 alberto 2015-09-19 04:12:39 UTC
Hi,
I can reproduce the problem:

Ubuntu LTS 14.04 amd64

if you open a file through network for every operation in the UI (put a number in a cell o simply select a cell)  you have to wait the network roudtrip delay.

Is not simple to reproduce because you need a slow connection or a really far server. In this moment I have a 3G mobile connection

I can reproduce the problem with gvfs share, with sshfs and samba share

In every case I need to wait the network roundtrip so:

gvfscase
time ls -l /run/user/1000/gvfs/sftp\:host\=myserver.com//home/alberto/documenti/test
totale 10
-rw-r--r-- 1 alberto alberto 9576 set 19  2015 nuovofoglio.ods

real	0m14.589s
user	0m0.000s
sys	0m0.005s

14s are more or less the same time to accomplish an operation on the calc's interface

sshfscase
sshfs myname@myserver.com:/home/alberto/documenti remoto

time ls -l remote/test

totale 12
-rw-r--r-- 1 alberto 1002 9576 set 19  2015 nuovofoglio.ods


real	0m0.964s
user	0m0.001s
sys	0m0.005s


and I need a second for do something

same situation in a smbfs share


Finally I suspect LO do a stat of remote lock file (.~lock.nuovofoglio.ods# in my case)

at every user interaction. 

The problem is more evident in the gvfs case for it poor performances
Comment 12 tommy27 2015-09-19 05:36:19 UTC
thanks for confirming the bug (so status is NEW)
however please do not change version field that way...
it has to indicate the earlies version a bug was seen, not the latest.
so I'm reverting it to 4.1.0
Comment 13 Jean-Baptiste Faure 2015-09-19 07:40:06 UTC
Not sure if it is a bug in LibreOffice or a network configuration problem.
Do you have a reason to say that the problem is on LibreOffice side? If the network or the file system infrastructure is slow, what can do LibreOffice?

Best regards. JBF
Comment 14 alberto 2015-09-19 16:33:41 UTC
I really sorry for the version field. 

For my point of view this is not a network problem. Usually i connect from Italy (Rome) to some servers in north of France. The round trip is about 126ms so if I write a long word (like "piacevolmente") I have to wait  1.6 seconds to see the result on the screen. This is not confortable and I have to copy the doocument in local file system before start editing.
The problem is really annoying if you try to scroll a 10 pages document or more.

I can confirm some network activity during document editing

Thanks
Comment 15 QA Administrators 2016-09-20 10:32:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920